Summary: SyncML client for evolution
Name: syncevolution
Version: 0.8.1a
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Productivity
URL: http://www.estamos.de/projects/SyncML/
Source0: http://www.estamos.de/download/syncevolution/sources/%{name}-%{version}.tar.gz
# Patch filed upstream at
# https://sourceforge.net/tracker/index.php\
#     ?func=detail&aid=2707496&group_id=146288&atid=764733
Patch0: syncevolution-0.8.1a-build.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: evolution
Requires: curl
BuildRequires: evolution-data-server-devel
BuildRequires: curl-devel
BuildRequires: cppunit-devel
BuildRequires: gcc-c++

%description
syncevolution is designed to provide a SyncML client that can
connect to and sync with various SyncML-based servers

%prep
%setup -q
%patch0 -p1 -b .build
%configure --enable-unit-tests

%build
make %{?_smp_mflags}
find . -type d -perm 02755 -exec chmod 0755 '{}' \;

%check
# FIXME: currently doesn't work at all, all tests fail; need to be
# discussed with upstream.
#make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/share
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING HACKING
%{_bindir}/*

%changelog
* Mon Mar 23 2009 Matej Cepl <mcepl@redhat.com> 0.8.1a-1
- New upstream release.
- make a fix for one #elif which should be #else

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct  6 2008 Alex Lancaster <alexlan[AT] fedoraproject.org> - 0.7-4
- Rebuild against new libcppunit to fix broken deps

* Fri Aug 01 2008 Matěj Cepl <mcepl@redhat.com> 0.7-3
- Bump the release to fix broken update path for Rawhide

* Fri Feb 15 2008 Matěj Cepl <mcepl@redhat.com> 0.7-2
- Add #include <memory> to syncevolution.cpp according
  to https://sourceforge.net/tracker/\
  ?func=detail&amp;atid=764733&amp;aid=1893582&amp;group_id=146288

* Wed Feb 13 2008 Matěj Cepl <mcepl@redhat.com> 0.7-1
- New upstream version.

* Mon Oct 15 2007 matej <mcepl@redhat.com> 0.6-2
- updated SPEC to make the package approved for the Fedora
  review process.

* Sun Oct 12 2007 Matěj Cepl <mcepl@redhat.com> 0.6-1
- Fixing .spec -- use make install and others
- Install also configuration templates to %%docs

* Sun Sep 30 2007 Matěj Cepl <mcepl@redhat.com> 0.6-0
- Experimental build from upstream source.

* Tue Jan 16 2007 Richard Monk <rmonk@redhat.com> 0.5-1
- Inital packaging
